Bug 576110 - Screen button displayed badly in rescue mode
Screen button displayed badly in rescue mode
Product: Fedora
Classification: Fedora
Component: firstaidkit (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
: Reopened
: 576107 576108 576109 (view as bug list)
Depends On:
Blocks: F13Target
  Show dependency treegraph
Reported: 2010-03-23 05:32 EDT by He Rui
Modified: 2010-03-30 07:08 EDT (History)
6 users (show)

See Also:
Fixed In Version: firstaidkit-0.2.11.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-03-30 07:08:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
bad rescue screen (34.19 KB, image/png)
2010-03-23 05:33 EDT, He Rui
no flags Details

  None (edit)
Description He Rui 2010-03-23 05:32:48 EDT
Description of problem:

please refer to the attachment. the 'ok' and 'cancel' button are badly displayed in rescue screen.

Version-Release number of selected component (if applicable):
anaconda 13.36
Fedora 13 beta tc1

How reproducible:

Steps to Reproduce:
1. choose resue mode
Comment 1 He Rui 2010-03-23 05:33:29 EDT
Created attachment 401981 [details]
bad rescue screen
Comment 2 Chris Lumens 2010-03-23 10:03:30 EDT
*** Bug 576107 has been marked as a duplicate of this bug. ***
Comment 3 Chris Lumens 2010-03-23 10:03:35 EDT
*** Bug 576108 has been marked as a duplicate of this bug. ***
Comment 4 Chris Lumens 2010-03-23 10:03:41 EDT
*** Bug 576109 has been marked as a duplicate of this bug. ***
Comment 5 Martin Sivák 2010-03-23 10:23:04 EDT
This is standard whiptail button, if it should look different (as it is using  the same newt library as anaconda does) it has to be fixed in newt itself.

The dialog was constructed using /usr/bin/firstaidkit-qs script from firstaidkit which calls:

whiptail --menu "First Aid Kit quickstart menu" "18" "45" "10" shell "Start shell" fakd "Run diagnostic" reboot "Reboot"

And I'm reassigning this to newt.
Comment 6 Miroslav Lichvar 2010-03-29 07:06:35 EDT
What exactly is wrong with the buttons? Seem ok to me in the screenshot.
Comment 7 He Rui 2010-03-29 21:15:57 EDT
I was hoping the <Ok> and <Cancel> button could have red background as the other screens do in anaconda. But I'm OK with this current one.
Comment 8 Miroslav Lichvar 2010-03-30 06:48:22 EDT
whiptail has --fb option which can be used to draw full sized buttons. Would it be better?
Comment 9 Martin Sivák 2010-03-30 06:56:28 EDT
Ah I didn't know that, thanks for tip, I will change it in firstaidkit.

Note You need to log in before you can comment on or make changes to this bug.